> ## Documentation Index
> Fetch the complete documentation index at: https://rollout.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List Webhooks

> GET /webhooks

`GET /webhooks`

Base URL: `https://calendar.universal.rollout.com/api`

## Parameters

| Name     | In    | Type                      | Required |
| -------- | ----- | ------------------------- | -------- |
| `next`   | query | string                    | No       |
| `offset` | query | string(numeric) \| number | No       |
| `limit`  | query | number                    | No       |

## Responses

| Status | Description |
| ------ | ----------- |
| `200`  | OK          |
| `400`  | Bad Request |

## OpenAPI Source

`/openapi/calendar.json GET /webhooks`


## OpenAPI

````yaml /openapi/calendar.json GET /webhooks
openapi: 3.0.3
info:
  title: Universal Calendar API Documentation
  description: Development documentation
  version: '1.0'
servers:
  - url: https://calendar.universal.rollout.com/api
security: []
paths:
  /webhooks:
    get:
      tags:
        - Webhooks
      summary: List Webhooks
      operationId: get_webhooks
      parameters:
        - schema:
            type: string
          in: query
          name: next
          required: false
        - schema:
            anyOf:
              - format: numeric
                default: 0
                type: string
              - type: number
          in: query
          name: offset
          required: false
        - schema:
            type: number
          in: query
          name: limit
          required: false
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  _metadata:
                    type: object
                    properties:
                      collection:
                        type: string
                      offset:
                        type: number
                      limit:
                        type: number
                      total:
                        type: number
                      next:
                        anyOf:
                          - type: string
                        nullable: true
                      nextLink:
                        anyOf:
                          - type: string
                        nullable: true
                    required:
                      - collection
                      - offset
                      - limit
                      - total
                      - next
                      - nextLink
                  webhooks:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        status:
                          anyOf:
                            - type: string
                            - type: string
                        event:
                          type: string
                        url:
                          type: string
                        filters:
                          type: object
                          additionalProperties:
                            type: object
                            properties:
                              equals:
                                type: string
                            required:
                              - equals
                      required:
                        - id
                        - status
                        - event
                        - url
                        - filters
                required:
                  - _metadata
                  - webhooks
            multipart/form-data:
              schema:
                type: object
                properties:
                  _metadata:
                    type: object
                    properties:
                      collection:
                        type: string
                      offset:
                        type: number
                      limit:
                        type: number
                      total:
                        type: number
                      next:
                        anyOf:
                          - type: string
                        nullable: true
                      nextLink:
                        anyOf:
                          - type: string
                        nullable: true
                    required:
                      - collection
                      - offset
                      - limit
                      - total
                      - next
                      - nextLink
                  webhooks:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        status:
                          anyOf:
                            - type: string
                            - type: string
                        event:
                          type: string
                        url:
                          type: string
                        filters:
                          type: object
                          additionalProperties:
                            type: object
                            properties:
                              equals:
                                type: string
                            required:
                              - equals
                      required:
                        - id
                        - status
                        - event
                        - url
                        - filters
                required:
                  - _metadata
                  - webhooks
            text/plain:
              schema:
                type: object
                properties:
                  _metadata:
                    type: object
                    properties:
                      collection:
                        type: string
                      offset:
                        type: number
                      limit:
                        type: number
                      total:
                        type: number
                      next:
                        anyOf:
                          - type: string
                        nullable: true
                      nextLink:
                        anyOf:
                          - type: string
                        nullable: true
                    required:
                      - collection
                      - offset
                      - limit
                      - total
                      - next
                      - nextLink
                  webhooks:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        status:
                          anyOf:
                            - type: string
                            - type: string
                        event:
                          type: string
                        url:
                          type: string
                        filters:
                          type: object
                          additionalProperties:
                            type: object
                            properties:
                              equals:
                                type: string
                            required:
                              - equals
                      required:
                        - id
                        - status
                        - event
                        - url
                        - filters
                required:
                  - _metadata
                  - webhooks
          description: OK
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            multipart/form-data:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            text/plain:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
          description: Bad Request
      security:
        - jwt: []
          credential_id: []
components:
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      description: Authorization JWT
    credential_id:
      type: apiKey
      in: header
      name: X-Rollout-Credential-Id
      description: The Rollout Credential ID to use for queries/mutations

````